geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Donald Woods (JIRA)" <j...@apache.org>
Subject [jira] Updated: (GERONIMODEVTOOLS-105) Build Error - Rev441511 - Cannot download eclipse-support-1.0-SNAPSHOT.jar
Date Mon, 11 Sep 2006 02:04:25 GMT
     [ http://issues.apache.org/jira/browse/GERONIMODEVTOOLS-105?page=all ]

Donald Woods updated GERONIMODEVTOOLS-105:
------------------------------------------

    Attachment: Devtools-105.patch

Fix to top-level pom.xml to include eclipse-support in the projects to be built.


> Build Error - Rev441511 - Cannot download eclipse-support-1.0-SNAPSHOT.jar
> --------------------------------------------------------------------------
>
>                 Key: GERONIMODEVTOOLS-105
>                 URL: http://issues.apache.org/jira/browse/GERONIMODEVTOOLS-105
>             Project: Geronimo-Devtools
>          Issue Type: Bug
>          Components: eclipse-plugin
>    Affects Versions: 1.x
>         Environment: Clean checkout and .m2 repo on SLES10 x86_64
>            Reporter: Donald Woods
>            Priority: Blocker
>             Fix For: 1.x
>
>         Attachments: Devtools-105.patch
>
>
> Clean checkout of https://svn.apache.org/repos/asf/geronimo/devtools/eclipse-plugin/trunk
> Clean .m2 repo
> Building on SLES10 x86_64 w/ 1.5.0 JDK
> [INFO] ----------------------------------------------------------------------------
> [INFO] Building org.apache.geronimo.st.core
> [INFO]    task-segment: [install]
> [INFO] ----------------------------------------------------------------------------
> . . .
> [INFO] [dependency:copy {execution: copy}]
> [INFO] Configured Artifact: org.apache.geronimo.devtools:eclipse-support:null:1.0-SNAPSHOT:jar
> [DEBUG] Skipping disabled repository maven1-ibiblio
> [DEBUG] Skipping disabled repository maven2-ibiblio
> [DEBUG] Skipping disabled repository maven1-sppatel
> [DEBUG] Skipping disabled repository central
> [DEBUG] eclipse-support: using locally installed snapshot
> [DEBUG] Trying repository maven2-snapshot-apache
> Downloading: http://people.apache.org/maven-snapshot-repository/org/apache/geronimo/devtools/eclipse-support/1.0-SNAPSHOT/eclipse-support-1.0-SNAPSHOT.jar
> [WARNING] Unable to get resource from repository maven2-snapshot-apache (http://people.apache.org/maven-snapshot-repository)
> [DEBUG] Trying repository maven2-snapshot-codehaus
> Downloading: http://snapshots.maven.codehaus.org/maven2/org/apache/geronimo/devtools/eclipse-support/1.0-SNAPSHOT/eclipse-support-1.0-SNAPSHOT.jar
> [WARNING] Unable to get resource from repository maven2-snapshot-codehaus (http://snapshots.maven.codehaus.org/maven2)
> [DEBUG] Skipping disabled repository maven1-ibiblio
> [DEBUG] Skipping disabled repository maven2-ibiblio
> [DEBUG] Trying repository maven1-codehaus
> Downloading: http://dist.codehaus.org//org.apache.geronimo.devtools/jars/eclipse-support-1.0-SNAPSHOT.jar
> [WARNING] Unable to get resource from repository maven1-codehaus (http://dist.codehaus.org/)
> [DEBUG] Trying repository maven1-apache
> Downloading: http://people.apache.org/repository/org.apache.geronimo.devtools/jars/eclipse-support-1.0-SNAPSHOT.jar
> [WARNING] Unable to get resource from repository maven1-apache (http://people.apache.org/repository)
> [DEBUG] Skipping disabled repository maven1-sppatel
> [DEBUG] Skipping disabled repository central
> [INFO] ------------------------------------------------------------------------
> [ERROR] BUILD ERROR
> [INFO] ------------------------------------------------------------------------
> [INFO] Failed to resolve artifact.
> GroupId: org.apache.geronimo.devtools
> ArtifactId: eclipse-support
> Version: 1.0-SNAPSHOT
> Reason: Unable to download the artifact from any repository
> Try downloading the file manually from the project website.
> Then, install it using the command: 
>     mvn install:install-file -DgroupId=org.apache.geronimo.devtools -DartifactId=eclipse-support
\
>         -Dversion=1.0-SNAPSHOT -Dpackaging=jar -Dfile=/path/to/file
>   org.apache.geronimo.devtools:eclipse-support:jar:1.0-SNAPSHOT
> from the specified remote repositories:
>   maven1-apache (http://people.apache.org/repository),
>   central (http://repo1.maven.org/maven2),
>   maven2-snapshot-apache (http://people.apache.org/maven-snapshot-repository),
>   maven1-sppatel (http://people.apache.org/~sppatel/repository),
>   maven1-codehaus (http://dist.codehaus.org/),
>   maven2-snapshot-codehaus (http://snapshots.maven.codehaus.org/maven2),
>   maven1-ibiblio (http://people.apache.org/repo/m1-ibiblio-rsync-repository/),
>   maven2-ibiblio (http://people.apache.org/repo/m2-ibiblio-rsync-repository)
> [INFO] ------------------------------------------------------------------------
> [DEBUG] Trace
> org.apache.maven.lifecycle.LifecycleExecutionException: Unable to find artifact.
> . . .

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://issues.apache.org/jira/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message